Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023549
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-04-15 13:102013-04-16 19:18
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0MP23
StatusclosedFix in branchFixed in SCM revision466f47a126b4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023549: Somo Missing indexes

DescriptionThere are some indexes that should be created.

 create INDEX AD_ALERT_RULE
  ON AD_ALERT
  USING btree
  (AD_ALERTRULE_ID);

  CREATE INDEX M_PRODUCT_UOM_PRODUCT
  ON M_PRODUCT_UOM
  USING btree
  (M_PRODUCT_ID);

    CREATE INDEX AD_PROCESS_RUN_STATUS
  ON AD_PROCESS_RUN
  USING btree
  (STATUS);

CREATE INDEX m_storage_detail_PRODUCT
  ON m_storage_detail
  USING btree
  (m_product_id);
Steps To Reproduce-
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023571 closedAugustoMauch Other index missing on m_storage_detail 
related to defect 0023902 closedshankarb A index missing affecting the m_inout_post process 

-  Notes
(0057896)
hgbot (developer)
2013-04-15 13:41

Repository: erp/devel/pi
Changeset: 466f47a126b46f828a7550f6ef2f0a08f78060d9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Apr 15 13:39:38 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/466f47a126b46f828a7550f6ef2f0a08f78060d9 [^]

Fixes issue 23549: Added missing indexes

---
M src-db/database/model/tables/AD_ALERT.xml
M src-db/database/model/tables/AD_PROCESS_RUN.xml
M src-db/database/model/tables/M_PRODUCT_UOM.xml
M src-db/database/model/tables/M_STORAGE_DETAIL.xml
---
(0057905)
shankarb (developer)
2013-04-15 14:01

Code reviewed and tested in pi changeset b96b3181a12a
(0057974)
hudsonbot (developer)
2013-04-16 19:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8df08bea850d [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-04-15 13:10 egoitz New Issue
2013-04-15 13:10 egoitz Assigned To => AugustoMauch
2013-04-15 13:10 egoitz Modules => Core
2013-04-15 13:10 egoitz Triggers an Emergency Pack => No
2013-04-15 13:11 egoitz Tag Attached: Performance
2013-04-15 13:16 egoitz Description Updated View Revisions
2013-04-15 13:26 egoitz Description Updated View Revisions
2013-04-15 13:39 AugustoMauch Issue Monitored: shankarb
2013-04-15 13:39 AugustoMauch Review Assigned To => shankarb
2013-04-15 13:41 hgbot Checkin
2013-04-15 13:41 hgbot Note Added: 0057896
2013-04-15 13:41 hgbot Status new => resolved
2013-04-15 13:41 hgbot Resolution open => fixed
2013-04-15 13:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/466f47a126b46f828a7550f6ef2f0a08f78060d9 [^]
2013-04-15 14:01 shankarb Note Added: 0057905
2013-04-15 14:01 shankarb Status resolved => closed
2013-04-15 14:01 shankarb Fixed in Version => 3.0MP23
2013-04-16 19:18 hudsonbot Checkin
2013-04-16 19:18 hudsonbot Note Added: 0057974
2013-04-17 12:13 egoitz Relationship added related to 0023571
2013-05-23 13:32 egoitz Relationship added related to 0023902


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker